# Ogre::RingEmitterFactory Class Reference

Factory class for particle emitter of type "Ring". More...

`#include <OgreRingEmitterFactory.h>`

Inheritance diagram for Ogre::RingEmitterFactory:

List of all members.

## Public Member Functions

String | getName () const
| See ParticleEmitterFactory.
ParticleEmitter * | createEmitter (ParticleSystem *psys)
| See ParticleEmitterFactory.
virtual void | destroyEmitter (ParticleEmitter *e)
| Destroys the emitter pointed to by the parameter (for early clean up if reauired).

## Protected Attributes

std::vector< ParticleEmitter * > | mEmitters

## Detailed Description

Factory class for particle emitter of type "Ring".

Remarks:
  Creates instances of RingEmitter to be used in particle systems.

Definition at line 39 of file OgreRingEmitterFactory.h.

## Member Function Documentation

ParticleEmitter* Ogre::RingEmitterFactory::createEmitter | ( | ParticleSystem * | psys | ) | `[virtual]`

| See ParticleEmitterFactory. Implements Ogre::ParticleEmitterFactory. Definition at line 51 of file OgreRingEmitterFactory.h.

virtual void Ogre::ParticleEmitterFactory::destroyEmitter | ( | ParticleEmitter * | e | ) | `[virtual, inherited]`

| Destroys the emitter pointed to by the parameter (for early clean up if reauired).

String Ogre::RingEmitterFactory::getName | ( | void |  | ) | const`[virtual]`

| See ParticleEmitterFactory. Implements Ogre::ParticleEmitterFactory. Definition at line 45 of file OgreRingEmitterFactory.h. References Ogre::String.

## Member Data Documentation

std::vector<ParticleEmitter*> Ogre::ParticleEmitterFactory::mEmitters `[protected, inherited]`

| Definition at line 49 of file OgreParticleEmitterFactory.h.

The documentation for this class was generated from the following file:

- OgreRingEmitterFactory.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:07:47 2006